html,body,p,h1,h2,dl,dt,dd,ul,ol,li {
	margin: 0;
	padding: 0;
	overflow: hidden;
}

ol, ul {
	list-style: none;
}

html,body {
	height: 100%;
}

body {
	height: 100%;
	font-family: Palatino Linotype, Book Antiqua, Palatino, serif;
	font-size: 18px;
	color: #fff;
	text-shadow: 0 -1px 1px #050;
	background: #262;
	background: -webkit-radial-gradient(center, ellipse cover, #292 0%, #262 100%);
	background: -moz-radial-gradient(center, ellipse cover, #292 0%, #262 150%);
	background: -o-radial-gradient(center, ellipse cover, #292 0%, #262 100%);
}

#back {
	position: absolute;
	width: 100%;
	height: 100%;
}

#board {
	cursor: default;
	margin: 0 auto;
	width: 310px;
}

#score {
	position: absolute;
	width: 310px;
}

#logo {
	cursor: pointer;
	float: left;
	width: 34px;
	height: 34px;
	margin: 5px 5px 0 0;
	border: 2px solid #fff;
	border-radius: 5px;
	box-shadow: 0 -1px 1px #060;
	-webkit-transition: -webkit-transform .5s;
	-moz-transition: -moz-transform .5s;
	-o-transition: -o-transform .5s;
}

#logo.sound {
	box-shadow: 0 0 3px #fff;
	-webkit-transform: rotate(90deg);
	-moz-transform: rotate(90deg);
	-o-transform: rotate(90deg);
}

#logo span {
	float: left;
	width: 7px;
	height: 7px;
	margin: 3px 0 0 3px;
	background: #fff;
	border-radius: 3px;
	box-shadow: 0 -1px 1px #060;
}

#logo span.d1 {
	margin-right: 11px;
}

#logo span.d2 {
	margin-right: 11px;
	margin-left: 14px;
}

#logo span.d3 {
	margin-left: 14px;
}

#head {
	height: 55px;
	line-height: 50px;
	text-align: center;
}

#head a {
	float:right;
	margin: 5px 0;
	width: 60px;
}

#popup {
	position: absolute;
	left: 50%;
	margin: 100px -150px;
	width: 300px;
	color: #fff;
	font-size: 120%;
	text-align: center;
	z-index: 2;
	text-shadow: 0 -1px 1px #000;
	box-shadow: 0 0 50px #000;
	border-radius: 2px;
	background: #222;
	-webkit-transition: margin-top .7s;
	-moz-transition: margin-top .7s;
	-o-transition: margin-top .7s;
}

#popup.hide {
	margin-top: -400px;
}

#popup div {
	margin: 10px;
}

#popup p {
	margin: 10px;
	text-align: left;
}

#popup p span {
	float: right;
}

#flakes {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
	z-index: 3;
}

.arrow {
	position: relative;
	width: 0; 
	height: 0; 
	border-left: 8px solid transparent;
	border-right: 8px solid transparent;
	border-bottom: 8px solid #fff;
	margin: 0 16px;
	float: right;
}

.down {
	border-top: 8px solid #ddd;
	border-bottom: none;
}

.help {
	clear: both;
	color: black;
	padding: 7px 10px;
	text-shadow: none;
	box-shadow: 0 1px 5px #000;
	border-radius: 5px;
	background: #fff;
	background: -webkit-linear-gradient(top, #fff 80%, #ddd 100%);
	background: -moz-linear-gradient(top, #fff 80%, #ddd 100%);
	background: -o-linear-gradient(top, #fff 80%, #ddd 100%);
}

#help1,
#help2,
#help3 {
	position: absolute;
	width: 250px;
	z-index: 2;
	-webkit-transition: margin-top .7s;
	-moz-transition: margin-top .7s;
	-o-transition: margin-top .7s;
}

#help1 {
	margin: 50px 0 0 50px;
}

#help2 {
	margin: 370px 0 0 5px;
}

#help3 {
	margin: 20px 0 0 60px;
}

#help1.hide,
#help2.hide,
#help3.hide  {
	margin-top: -200px;
}

h1 {
	font-size: 150%;
	font-weight: normal;
	letter-spacing: -1px;
	color: #fff;
}

h2 {
	font-size: 130%;
	font-weight: bold;
	letter-spacing: -1px;
	color: #fff;
}

a.button {
	line-height: 34px;
	font-weight: bold;
	text-align: center;
	text-decoration: none;
	color: #fff;
	border: 2px solid #fff;
	box-shadow: 0 -1px 1px #060;
	border-radius: 5px;
}

a.button:hover {
	box-shadow: 0 0 3px #fff;
}

a.disabled {
	cursor: default;
	color: #6c6;
	border: 2px solid #6c6;
}

a.disabled:hover {
	box-shadow: none;
}

dl {
	float: left;
	width: 210px;
	text-align: center;
	line-height: 24px;
}

dt {
	padding: 2px 5px 0 5px;
	font-weight: bold;
}

dt:first-child {
	height: 30px;
	border-bottom: 1px solid #060;
}

dt:last-child {
	height: 24px;
	border-top: 1px solid #6c6;
}

dd {
	padding: 0 5px;
	height: 24px;
	border-top: 1px solid #6c6;
	border-bottom: 1px solid #060;
}

dd.set {
	color: #6c6;
	cursor: pointer;
}

dd.set:hover {
	color: #fff;
	text-shadow: 0 0 3px #fff;
}

#player,
#computer {
	width: 50px;
}

#player dt span,
#computer dt span {
	display: block;
	border: 2px solid #fff;
	width: 50%;
	height: 10%;
	margin: 1px auto;
	box-shadow: 0 -1px 1px #050;
}

#player dt span:first-child {
	width: 30%;
	height: 40%;
	border-radius: 10px;
}

#player dt span:last-child {
	border-radius: 10px 10px 0 0;
}

#computer dt span:first-child {
	width: 50%;
	height: 40%;
	border-radius: 5px;
}

.dice {
	cursor: pointer;
	position: absolute;
	width: 50px;
	height: 50px;
	-webkit-transition: margin .3s;
	-moz-transition: margin .3s;
	-o-transition: margin .3s;
 	z-index: 1;
 }

.x0 { margin-left: 5px; }
.x1 { margin-left: 50px; }
.x2 { margin-left: 100px; }
.x3 { margin-left: 150px; }
.x4 { margin-left: 200px; }
.y0 { margin-top: 105px; }
.y1 { margin-top: 155px; }
.y2 { margin-top: 205px; }
.y3 { margin-top: 255px; }
.y4 { margin-top: 305px; }
.h0 { margin: 40px 0 0 50px; z-index: 0; }
.h1 { margin: 40px 0 0 100px; z-index: 0; }
.h2 { margin: 40px 0 0 150px; z-index: 0; }
.h3 { margin: 40px 0 0 200px; z-index: 0; }
.h4 { margin: 40px 0 0 250px; z-index: 0; }
.hold { margin: -50px 0 0 150px; }
.top { z-index: 2; }
.dice:hover {
	-webkit-transform: scale(1.1);
	-moz-transform: scale(1.1);
	-o-transform: scale(1.1);
}

* {
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
